Get pipeline state for a specific pipeline and run.
Returns the current state of all pipeline stages. Requires authentication and operates on user-scoped data.
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).
In: header
Path Parameters
pipeline_id*Pipeline Id
Query Parameters
run_id?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/memory/pipeline/string/state"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}